7.16.19 Mac Invalid Package

Message boards : BOINC Manager : 7.16.19 Mac Invalid Package
Message board moderation

To post messages, you must log in.

AuthorMessage
l008com

Send message
Joined: 22 Mar 09
Posts: 47
United States
Message 105303 - Posted: 2 Sep 2021, 13:15:12 UTC

I'm trying to update my client to 7.16.19 but I get an error each time.
It says the digital signature is invalid. It suggest re-downloading which of course I've done.
Seems like theres a problem with the posted file itself.

ID: 105303 · Report as offensive
Profile Jord
Volunteer tester
Help desk expert
Avatar

Send message
Joined: 29 Aug 05
Posts: 14998
Netherlands
Message 105304 - Posted: 2 Sep 2021, 13:54:47 UTC - in response to Message 105303.  

On which Mac OS?
ID: 105304 · Report as offensive
Nigel Garvey

Send message
Joined: 18 May 11
Posts: 28
United Kingdom
Message 105350 - Posted: 8 Sep 2021, 16:36:48 UTC

I'm getting the same error trying to install BOINC 7.16.19 on my mid-2009 MacBook Pro: Mac OS X 10.11.6 (Darwin 15.6.0).

No problem at with that version on my iMac: macOS 10.14.6 (Darwin 18.7.0).
NG
ID: 105350 · Report as offensive
Profile Jord
Volunteer tester
Help desk expert
Avatar

Send message
Joined: 29 Aug 05
Posts: 14998
Netherlands
Message 105351 - Posted: 8 Sep 2021, 18:46:21 UTC

Forwarded to the developer.
ID: 105351 · Report as offensive
Profile Jord
Volunteer tester
Help desk expert
Avatar

Send message
Joined: 29 Aug 05
Posts: 14998
Netherlands
Message 105359 - Posted: 9 Sep 2021, 8:10:06 UTC

ID: 105359 · Report as offensive
Nigel Garvey

Send message
Joined: 18 May 11
Posts: 28
United Kingdom
Message 105360 - Posted: 9 Sep 2021, 15:25:36 UTC - in response to Message 105359.  

Hi Jord.

No. That version won't install on my Darwin 15.6.0 system either:

BOINC.pkg can't be installed because its digital signature is invalid.
The package may have been corrupted or tampered with. Get a new copy of the package and try again.


BOINC 7.16.14 runs with no problem on that machine, except of course that it's now nagging me to get 7.16.19. ;)
NG
ID: 105360 · Report as offensive
Charlie Fenton
Project developer

Send message
Joined: 17 Jul 06
Posts: 280
United States
Message 105364 - Posted: 10 Sep 2021, 3:42:26 UTC - in response to Message 105360.  

Hi Nigel,

I found a discussion of this issue at https://developer.apple.com/forums/thread/664842. It appears that a newer version of the development tools (Xcode 12.5) may solve this problem, though it's not clear. I many not have time to try this for a few fdays, but I'll see if I can rebuild BOINC 7.16.19 with Xcode 12.5, but it's a moderate amount of work and I only want to do it if you are willing to to test it. Would you be willing to test it after I rebuild it?

Cheers,
--Charlie
Charlie Fenton
BOINC / SETI@home Macintosh & Windows Programmer
ID: 105364 · Report as offensive
Nigel Garvey

Send message
Joined: 18 May 11
Posts: 28
United Kingdom
Message 105365 - Posted: 10 Sep 2021, 8:27:57 UTC - in response to Message 105364.  
Last modified: 10 Sep 2021, 8:31:59 UTC

Hi Charlie.

Sure. I'd be happy to try it for you — if you think a fix is actually worth your time. Does 7.16.19 contain any changes of significance to older systems? The Release Notes haven't been updated yet.

The Release Notes do show that 7.16.14, currently running happily on my older machine, has a 'Fix for "digital signature is invalid" installation error on older MacOS versions'. So the problem's come up before. Maybe there's a solution there.
NG
ID: 105365 · Report as offensive
Charlie Fenton
Project developer

Send message
Joined: 17 Jul 06
Posts: 280
United States
Message 105366 - Posted: 10 Sep 2021, 9:30:35 UTC - in response to Message 105365.  

Hi Nigel,

Thanks. I've updated the release notes. I'll let you know when I have the new build for you to test.
Charlie Fenton
BOINC / SETI@home Macintosh & Windows Programmer
ID: 105366 · Report as offensive
Charlie Fenton
Project developer

Send message
Joined: 17 Jul 06
Posts: 280
United States
Message 105418 - Posted: 16 Sep 2021, 10:32:29 UTC - in response to Message 105365.  

Hi Nigel,

Please test this build of BOINC and let me know if it fixed your problem installing on OS 10.11.6.
Charlie Fenton
BOINC / SETI@home Macintosh & Windows Programmer
ID: 105418 · Report as offensive
Nigel Garvey

Send message
Joined: 18 May 11
Posts: 28
United Kingdom
Message 105425 - Posted: 16 Sep 2021, 20:53:00 UTC - in response to Message 105418.  

Hi Charlie.

No. I'm afraid it doesn't like that one either. Same error.
NG
ID: 105425 · Report as offensive
Tester

Send message
Joined: 2 Nov 13
Posts: 3
Germany
Message 105426 - Posted: 16 Sep 2021, 23:39:17 UTC
Last modified: 16 Sep 2021, 23:51:00 UTC

Hi Charlie,

i'am using OS X 10.10.5 (Darwin 14.5.0) and see the same error. With both 7.16.19 packages, yours and the official. Out of curiosity i tried the packages for 7.16.17 and .18 => the same signature failure message.
A fresh downloaded 7.16.14 opens normaly, so it should not be a expired system-certificate. (edit: just read your link, so its the build-system causing this)
ID: 105426 · Report as offensive
Charlie Fenton
Project developer

Send message
Joined: 17 Jul 06
Posts: 280
United States
Message 105434 - Posted: 17 Sep 2021, 10:00:42 UTC - in response to Message 105425.  

Nigel and tester,

If you would be so kind, please try this build. Only if that fails, then please try this one. Please let me know the results, and please tell me what error message you see if it is different than before.

Thanks you for supporting BOINC and helping me solve this issue.
Charlie Fenton
BOINC / SETI@home Macintosh & Windows Programmer
ID: 105434 · Report as offensive
Nigel Garvey

Send message
Joined: 18 May 11
Posts: 28
United Kingdom
Message 105436 - Posted: 17 Sep 2021, 17:45:12 UTC - in response to Message 105434.  

Hi Charlie.

Happy to report that the "…OS11_6" build has installed with no problem on my El Capitan machine and seems to be running OK. I'll let you know if there are any issues with it, but I imagine it was the installer rather than BOINC or the Manager which had to be sorted out. Many thanks!
NG
ID: 105436 · Report as offensive
Charlie Fenton
Project developer

Send message
Joined: 17 Jul 06
Posts: 280
United States
Message 105440 - Posted: 18 Sep 2021, 2:52:44 UTC - in response to Message 105436.  

I have renamed the build that Nigel confirmed works; that it will be the one sent when you download using the standard links. The temporary links i posted last night will no longer work.
Charlie Fenton
BOINC / SETI@home Macintosh & Windows Programmer
ID: 105440 · Report as offensive
Tester

Send message
Joined: 2 Nov 13
Posts: 3
Germany
Message 105511 - Posted: 29 Sep 2021, 1:11:05 UTC - in response to Message 105434.  

Hi Charlie,

I can confirm, that a newly downloaded installer from the standard link opens also on OS X 10.10.5.
Thank you for your effort.
ID: 105511 · Report as offensive

Message boards : BOINC Manager : 7.16.19 Mac Invalid Package

Copyright © 2022 University of California. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation.